Macro FaceToSketch/fr: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
m (Created page with "{{Macro/fr|Icon=Text-x-python|Name=FaceToSketch|Name/fr=Face vers Sketch|Description=Convertit une face en un sketch sans contraintes.|Author=Jreinhardt}}")
Line 1: Line 1:
{{Macro|Icon=Text-x-python|Name=FaceToSketch|Description=Converts a face into a sketch without constraints.|Author=Jreinhardt}}
{{Macro/fr|Icon=Text-x-python|Name=FaceToSketch|Name/fr=Face vers Sketch|Description=Convertit une face en un sketch sans contraintes.|Author=Jreinhardt}}


This macro breaks down your form with function {{KEY|[[Image:Draft Downgrade.png|16px]] [[Draft Downgrade]]}} and transforms the face selected in a sketch without constraints, and ready to be modified.
This macro breaks down your form with function {{KEY|[[Image:Draft Downgrade.png|16px]] [[Draft Downgrade]]}} and transforms the face selected in a sketch without constraints, and ready to be modified.

Revision as of 09:30, 25 December 2013

File:Text-x-python FaceToSketch

Description
Convertit une face en un sketch sans contraintes.

Auteur: Jreinhardt
Auteur
Jreinhardt
Téléchargement
None
Liens
Version Macro
1.0
Dernière modification
None
Version(s) FreeCAD
None
Raccourci clavier
None
Voir aussi
None

This macro breaks down your form with function Draft Downgrade and transforms the face selected in a sketch without constraints, and ready to be modified.


import Draft
  
wires,_faces = Draft.downgrade(FreeCADGui.Selection.getSelection(),delete=True)
  
sketch = Draft.makeSketch(wires[0:1])
for wire in wires[1:]:
    Draft.makeSketch([wire],addTo=sketch)
  
for wire in wires:
    FreeCAD.ActiveDocument.removeObject(wire.Name)
Other languages: